using System;

namespace takmicenje_2_br_1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string []s=Console.ReadLine().Split();
            int a=int.Parse(s[0]);
            int b=int.Parse(s[1]);
            string[] s1 = Console.ReadLine().Split();
            int x = int.Parse(s1[0]);
            int y = int.Parse(s1[1]);
            if (a == x && b == y)
            {
                Console.WriteLine("nijedan"); 
            }
            else if (a == x && b > y)
            {
                Console.WriteLine("drugi");
            }
            else if (a > x && b == y)
            {
                Console.WriteLine("prvi");
            }
            else 
            {
                Console.WriteLine("?");
            }
            Console.ReadLine();

        }
    }
}